// ==UserScript==
// @name           Li.ru design patch
// @namespace      http://blog.alexkrylov.ru/*
// @description    Changes design of li.ru pages
// ==/UserScript==


// v 1.2




function win2unicode(str) {
   var charmap   = unescape(
      "%u0402%u0403%u201A%u0453%u201E%u2026%u2020%u2021%u20AC%u2030%u0409%u2039%u040A%u040C%u040B%u040F"+
      "%u0452%u2018%u2019%u201C%u201D%u2022%u2013%u2014%u0000%u2122%u0459%u203A%u045A%u045C%u045B%u045F"+
      "%u00A0%u040E%u045E%u0408%u00A4%u0490%u00A6%u00A7%u0401%u00A9%u0404%u00AB%u00AC%u00AD%u00AE%u0407"+
      "%u00B0%u00B1%u0406%u0456%u0491%u00B5%u00B6%u00B7%u0451%u2116%u0454%u00BB%u0458%u0405%u0455%u0457")
   var code2char = function(code) {
               if(code >= 0xC0 && code <= 0xFF) return String.fromCharCode(code - 0xC0 + 0x0410)
               if(code >= 0x80 && code <= 0xBF) return charmap.charAt(code - 0x80)
               return String.fromCharCode(code)
            }
   var res = ""
   for(var i = 0; i < str.length; i++) res = res + code2char(str.charCodeAt(i))
   return res
}



var seekStr = win2unicode ('');


var menuNewWidth = "160px";
var contLeftMargin = "210px";
var contentNewWidth = "900px";

GM_log('Starting Li.ru design changer');





var thisDiv;

var MNUBANBL_DIV = getElByClass ('div', 'MNUBANBL');
for (var i = 0; i < MNUBANBL_DIV.snapshotLength; i++) {
    thisDiv = MNUBANBL_DIV.snapshotItem(i);
    thisDiv.innerHTML = "";
    GM_log('One AD block removed');
}


var allLinks, thisLink;
allLinks = document.getElementsByTagName('a');
for (var i = 0; i < allLinks.length; i++) {
    thisLink = allLinks[i];
    if (thisLink.innerHTML.match(seekStr)) {
    	//alert ('Link found');
    	//thisLink.innerHTML = win2unicode ('-');
    	//thisLink.parentNode.innerHTML = '';
    	
    	var newElement = document.createElement('br');
    	newElement.style.clear = 'both';
    	thisLink.parentNode.parentNode.insertBefore(newElement, thisLink.parentNode);
  	};
}


var menuDIV = document.getElementById('MNU');
if (menuDIV) {
	menuDIV.style.maxWidth = menuNewWidth;
	GM_log('Width of left bar changed.');
};


var conDIV = document.getElementById('CON');
if (conDIV) {
	conDIV.style.marginLeft = contLeftMargin;
	conDIV.style.width = contentNewWidth;
	GM_log('Margin of content bar changed.');

};
	



var MNUBL_DIV;
var menuDivNames = ["MNUBL", "MNUBL GL_MAR10B", "MNUBANBL", "HRMNU", "B"];

for (var n = 0; n < menuDivNames.length; ++n) {
	MNUBL_DIV = getElByClass ('div', menuDivNames[n]);
	for (var i = 0; i < MNUBL_DIV.snapshotLength; i++) {
		thisDiv = MNUBL_DIV.snapshotItem(i);
	    
		thisDiv.style.width = menuNewWidth;
		thisDiv.style.maxWidth = menuNewWidth;
		
	
	    
		GM_log('Menu block width changed');
	}
};



function getElByClass (tagN, classN)
{
	var paramStr = "//" + tagN + "[@class='" + classN + "']";
	return document.evaluate(
						    paramStr,
						    document,
						    null,
						    XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
						    null);
}


function getAllDivs ()
{
	var paramStr = "//div";
	return document.evaluate(
						    paramStr,
						    document,
						    null,
						    XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
						    null);
}

